Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 9701)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 9702)
@@ -22,16 +22,8 @@
 // +-----------------------------------------------------------------------+
 
-if ( !defined('PHPWG_ROOT_PATH')) 
-{
-  die('Hacking attempt!');
-}
-
-
-
-function test_envoie($message,$group_name,$group_id)
-{
-    global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$args,$lang ;
-	$mailto="";  
-	
+if ( !defined('PHPWG_ROOT_PATH'))   die('Hacking attempt!');
+function test_envoie($message,$group_name,$group_id){    
+  global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$args,$lang ;
+	$mailto="";	
  load_language('plugin.lang', MAIL_SUPERV_PATH);
  
@@ -47,5 +39,5 @@
 if (!isset($mails_donnees))
 	{
-    	$mails_donnees = Get_Datas();
+    	$mails_donnees = mail_supervisor::Get_Datas();
 	}		
 if (!isset($conf_mail))
@@ -55,5 +47,5 @@
   	  if (isset($args))
   { 
-    $infos_message=memo_var($args);
+    $infos_message=mail_supervisor::Memo_Var($args);
   }else{
   	$args = array();
@@ -88,6 +80,4 @@
  	//==================================================================
 	$message_html .= "</br>" . $message . "</br>" . $message_texte;
-
-	
  //==========================================================================
 
@@ -109,12 +99,10 @@
 	       $infos_message .='<br />'.l10n('Sv_no_receiver_available') ;
 	}
-
 }
 //===============================================================================================================
-function mail_attachement($args)
-{
+function mail_attachement($args){
  global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$lang ;
 
-    $mails_donnees = Get_Datas();
+    $mails_donnees = mail_supervisor::Get_Datas();
 	  if (!isset($conf_mail))
   {
@@ -145,85 +133,67 @@
 		
  
-	$message_html =  	'<img src="'.PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png" />';
-	 ob_start();	
+  $message_html =  	'<img src="'.PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png" />';
+  ob_start();	
  
-	echo str_replace("\n","<br />",$message_texte);
+  echo str_replace("\n","<br />",$message_texte);
 	
-	 $message_html .= ob_get_contents()."\n";
-	 //ob_flush();
-   	ob_end_clean();
+  $message_html .= ob_get_contents()."\n";
+  //ob_flush();
+  ob_end_clean();
 
-       $limite=$conf_mail['boundary_key'];   
-  		$headers =   date("Y-m-d H:i:s") ."\n"; 
+  $limite=$conf_mail['boundary_key'];   
+  $headers =   date("Y-m-d H:i:s") ."\n"; 
 
   //=======================================================================================
- 		$headers = "From: ".$args['from']."\n";
- 		$headers.= "Reply-To: ".$args['from']."\n";
-  		$nb_destinataires=0;
-$destinataire = $conf_mail['email_webmaster'];
+    $headers = "From: ".$args['from']."\n";
+    $headers.= "Reply-To: ".$args['from']."\n";
+    $nb_destinataires=0;
+    $destinataire = $conf_mail['email_webmaster'];  
+    if (!empty($args['Cc'])){
+      $nb_destinataires += count($args['Cc']);
+      $to= explode(',', $args['Cc']);
+      $headers	.= get_strict_email_list($to) ;		    
+  	}
+    if (!empty($args['Bcc'])){  
+      $nb_destinataires += count($args['Bcc']); 
+      $to = implode(',', $args['Bcc']);
+      $headers	.= 'Bcc :'.get_strict_email_list($to)."\n" ;		   
+    }
 
-  
-   		if (!empty($args['Cc']))
-  		{$nb_destinataires += count($args['Cc']);
-		 $to= explode(',', $args['Cc']);
-		 $headers	.= get_strict_email_list($to) ;
-		    
-  		}
-  		if (!empty($args['Bcc']))
-  		{  $nb_destinataires += count($args['Bcc']); 
-	    $to = implode(',', $args['Bcc']);
-	    $headers	.= 'Bcc :'.get_strict_email_list($to)."\n" ;
-		   
-		}
-
-  $headers.= 'Content-Type: multipart/alternative;'."\n";
-  $headers.= '  boundary="---='.$limite.'";'."\n";
-  $headers.= '  reply-type=original'."\n";
-  $headers.= 'MIME-Version: 1.0'."\n";
-  $headers.= 'X-Mailer: Piwigo Mailer'."\n";
-
-  //Le message en texte simple pour les navigateurs qui n'acceptent pas le HTML 
-    $texte = "This is a multi-part message in MIME format.\n"; 
-	
-    	$texte .= "-----=".$limite."\n"; 
-      	$texte .= "Ceci est un message est au format MIME.\n"; 
-      	$texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
-      	$texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-      	$texte .= $message_texte ; 
-	  	$texte .= "\n\n"; 
-		
-   		$texte .= "-----=".$limite."\n"; 
-      	$texte .= 'Content-Type: text/html; charset="UTF-8"'."\n"; 
-      	$texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-     	$texte .= $message_html; 
-      	$texte .= "\n\n"; 
-	  
-
-
-  		$attachement = "-----=".$limite."\n"; 
-  		$attachement .= "Content-Type: ".$typemime."; name=\"".$nom."\"\n"; 
-  		$attachement .= "Content-Transfer-Encoding: base64\n"; 
-  		$attachement .= "Content-Disposition: attachment; filename=\"".$nom."\"\n\n"; 
-  		$attachement .= $piecejointe; 
-  		$attachement .= "\n\n\n-----=".$limite."\n"; 
-
-
-  $ret=false;
-
-ob_start();
-
+    $headers.= 'Content-Type: multipart/alternative;'."\n";
+    $headers.= '  boundary="---='.$limite.'";'."\n";
+    $headers.= '  reply-type=original'."\n";
+    $headers.= 'MIME-Version: 1.0'."\n";
+    $headers.= 'X-Mailer: Piwigo Mailer'."\n";
+    //Le message en texte simple pour les navigateurs qui n'acceptent pas le HTML 
+    $texte = "This is a multi-part message in MIME format.\n"; 	
+    $texte .= "-----=".$limite."\n"; 
+    $texte .= "Ceci est un message est au format MIME.\n"; 
+    $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
+    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
+    $texte .= $message_texte ; 
+    $texte .= "\n\n"; 		
+    $texte .= "-----=".$limite."\n"; 
+    $texte .= 'Content-Type: text/html; charset="UTF-8"'."\n"; 
+    $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
+    $texte .= $message_html; 
+    $texte .= "\n\n"; 
+    $attachement = "-----=".$limite."\n"; 
+    $attachement .= "Content-Type: ".$typemime."; name=\"".$nom."\"\n"; 
+    $attachement .= "Content-Transfer-Encoding: base64\n"; 
+    $attachement .= "Content-Disposition: attachment; filename=\"".$nom."\"\n\n"; 
+    $attachement .= $piecejointe; 
+    $attachement .= "\n\n\n-----=".$limite."\n"; 
+    $ret=false;
+    ob_start();
     $ret= mail( $destinataire, $args['subject'], $texte.$attachement, $headers); 
-   $message =  ob_get_contents() ;
-	//ob_flush();
-   ob_end_clean();
-   if (($message)<>"") {
-   $erreur_message .=  $message ;
-   $infos_message =  "-------------------";
-   }
-
-    return  $ret;
-  
+    $message =  ob_get_contents() ;
+  //ob_flush();
+  ob_end_clean();
+  if (($message)<>"") {
+    $erreur_message .=  $message ;
+    $infos_message =  "-------------------";
+  }
+  return  $ret;  
 }
-
-
 ?>
Index: /extensions/Mail_supervisor/include/save_info.php
===================================================================
--- /extensions/Mail_supervisor/include/save_info.php	(revision 9701)
+++ /extensions/Mail_supervisor/include/save_info.php	(revision 9702)
@@ -2,12 +2,8 @@
 //=======================================================================================
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-
 switch (strtolower($info_ip))
  {
-  case  'ajout' :
-  
+  case  'ajout' :  
  $ip_black=str_replace("*","%",$ip_black);
- 
-
  if (!($ip_black == '')) {
    $query = "
@@ -17,15 +13,15 @@
   		;";	
 	//==============================================================================		
-	list($count) = mysql_fetch_row(pwg_query($query));
-	//==============================================================================	
-	$valeurs=array( 'NULL',
+  list($count) = mysql_fetch_row(pwg_query($query));
+  //==============================================================================	
+  $valeurs=array( 'NULL',
 		            "'".$ip_black."'",
-					"'".$pays."'",
-					"'".$region."'",	
-					"'".$ville."'",
-					'"adresse"',
-					'"fai" ',
-					$count + 1
-	);
+					         "'".$pays."'",
+					         "'".$region."'",	
+					         "'".$ville."'",
+					         '"adresse"',
+					         '"fai" ',
+					         $count + 1
+	        );
  	ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,($count==0)) ;	
  }
@@ -34,13 +30,12 @@
  //================================================================================================
   case 'raz':
-        $ip_black=str_replace('*',"%",$ip_black);
+    $ip_black=str_replace('*',"%",$ip_black);
   		$query = "DELETE FROM `".MAIL_BLACK_LISTE_TABLE."` WHERE `ip`  like '%".$ip_black."%' ";
-			pwg_query($query);
+			 pwg_query($query);
+   
+    unset ($_SESSION['pwg_'.'action_spam']);
    break;
    
-    default:
-
-
-				
+    default:				
    break;
    
@@ -48,49 +43,42 @@
 //================ Liste Black liste =================
   $query = "
-    SELECT *,  COUNT(`ip`) as total ,	`ip` as blacklist, `ip` as U_DELETE 
-    FROM ".MAIL_BLACK_LISTE_TABLE."
-		GROUP by ip 
-  	;";
+     SELECT *,  COUNT(`ip`) as total ,	`ip` as blacklist, `ip` as U_DELETE 
+     FROM ".MAIL_BLACK_LISTE_TABLE."
+     GROUP by ip 
+     ;";
 	$liste_bl = array();
-    $result = pwg_query($query);
-		while ($row = mysql_fetch_array($result,MYSQL_ASSOC))
-          		{
+ $result = pwg_query($query);
+		while ($row = mysql_fetch_array($result,MYSQL_ASSOC))	{
     			 array_push($liste_bl,$row);
-   				}
+   				}	   
 //================ Liste IP ==============		
 $req = mysql_query('SELECT count(distinct(`IP`)) FROM '.HISTORY_TABLE.'    '); 
 $nbip =  array_pop(mysql_fetch_row($req)) ;
 
-
-	     $query = '
-    SELECT DISTINCT 	H.`id`,
-	H.`date`,
-	H.`time`,
-	H.`user_id`,
-	H.`IP`, 
-	COUNT(H.`IP`) as total  
-    FROM '.HISTORY_TABLE.'  AS H 
-	WHERE  "'.$_SERVER['REMOTE_ADDR'].'"not LIKE H.`IP` 
-	';//
-	if (count($liste_bl)>0)
-	 {
-	$query .= '
-	AND  H.`IP` not IN (     SELECT `ip`
+	$query = 'SELECT DISTINCT 	H.`id`,
+            H.`date`,
+            H.`time`,
+            H.`user_id`,
+            H.`IP`, 
+            COUNT(H.`IP`) as total  
+            FROM '.HISTORY_TABLE.'  AS H 
+            WHERE  "'.$ip.'"not LIKE H.`IP` 	';//
+	if (count($liste_bl)>0){
+	$query .= '	AND  H.`IP` not IN ( SELECT `ip`
     FROM '.MAIL_BLACK_LISTE_TABLE.' ) ';
 	}
-	
+ 
 	$query .= '	
 	GROUP by H.`IP` 
 	ORDER by `id` DESC
-	LIMIT '.(int)($params['per_page']*$params['start']).','.(int)$params['per_page'].'
-	
+	LIMIT '.(int)($params['per_page']*$params['start']).','.(int)$params['per_page'].'	
 	'   ;
+
 	$result = pwg_query($query);
 	$liste_ip=array();
-	while ($row = mysql_fetch_array($result,MYSQL_ASSOC))
-          		{
-    		           array_push($liste_ip, $row);
+	while ($row = mysql_fetch_array($result,MYSQL_ASSOC))	{ 
+
+    		  array_push($liste_ip, $row);
    				}
-				
 
 ?>
Index: /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 9701)
+++ /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 9702)
@@ -7,27 +7,29 @@
 
 //========================================================================================================
-$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoi des mails lors de la mise en quarantaine';   
-$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyés par le site.';
-$lang['Sv_hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
-$lang['Sv_hlp_1_3']='Compte le nombre de mails considérés par le FAI comme spams.';
-$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi définie par période prédéterminée.';
-$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi définie par période prédéterminée.';
-$lang['Sv_hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
+$lang['Sv_Fonctionality']='Fonctionnalites';
+
+$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
+$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyes par le site.';
+$lang['Sv_hlp_1_2']='Detecte les differents messages d\'alertes generes par la fonction mail[]';
+$lang['Sv_hlp_1_3']='Compte le nombre de mails considere par le FAI comme spams.';
+$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyes est superieur à la valeur maxi defini par periode predeterminee.';
+$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams detectes est superieur à la valeur maxi defini par periode predeterminee.';
+$lang['Sv_hlp_1_6']='Mise en quarantaine si detection de "TROP DE SPAMS" pour une periode determinee.';
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
-$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmestre.';
-$lang['Sv_hlp_2_2']='Modifie la structure des destinataires en copie carbone si défaut \'bad syntax\'';
-$lang['Sv_hlp_2_3']='Si la version Piwigo est inférieure à 2.0.5, rajoute un bloc texte dans l\'entête de mail. ';
+$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmaster..';
+$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si defaut \'bad syntax\'';
+$lang['Sv_hlp_2_3']='Si la version piwigo est inferieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
 
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
-$lang['Sv_hlp_3_1']='Nombre d\'envois depuis la dernière remise à zéro.';
-$lang['Sv_hlp_3_2']='Date du premier envoi.';
-$lang['Sv_hlp_3_3']='Nombre d\'envois avant la mise en quarantaine.';
-$lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoi des mails est possible';
+$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zero.';
+$lang['Sv_hlp_3_2']='Date du premier envoie.';
+$lang['Sv_hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
+$lang['Sv_hlp_3_4']='Duree pendant laquelle l\'envoie des mails est possible';
 
-$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptées : <br />
+$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptees: <br />
   + n '.l10n('Week').'<br />
   + n '.l10n('Day').'<br />
@@ -35,43 +37,43 @@
   + n '.l10n('Minute').'<br />
   + n '.l10n('Second').'<br />
-n étant le nombre de (semaine, jour, heure, minute, seconde) '
+ n etant le nombre de (semaine,jour,heure,minute,seconde) '
 ;
 
-$lang['Sv_hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
+$lang['Sv_hlp_3_5']='Duree restante avant la remise à zero du compteur.';
 
-$lang['Sv_state']='État';
+$lang['Sv_state']='Etat';
 
 $lang['Sv_hlp_4_1']='Date limite de la mise en quarantaine.';
-$lang['Sv_hlp_4_2']='Durée restante avant l\'annulation de la mise en quarantaine.';
-    
-$lang['Sv_last_message']='Dernier message renvoyé.';
-$lang['Sv_hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
+$lang['Sv_hlp_4_2']='Duree restante avant l\' anulation de la mise en quarantaine.';
+	 
+$lang['Sv_last_message']='Dernier message renvoye.';
+$lang['Sv_hlp_5_1']='Dernier message renvoye par la fonction mail() en cas d\'erreur.';
 
 
-//======================================================================
-$lang['Sv_hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
-          ' ;   
-$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\'émission de mails si l\'adresse IP est dans la liste noire. <br />
-          ' ;   
-$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\'adresse IP.<br />
-          ' ;   
-$lang['Sv_hlp_7_1_3']='Option 3 À chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\'insère automatiquement dans la liste noire si le test est positif.<br />
-           Un compteur dans cette liste indique le nombre de tentatives de connexion.<br />
-           Des informations sur le pays et la ville du FAI sont également stockées.<br />
-          
-                   ' ;   
-$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
-          
-                  Les jokers (*) pour remplacer un groupe d\'adresse  sont autorisés.<br />
-                    Exemple : 94.102.63.* :
-                  Exclusion de toutes les adresses IP de 94.102.63.0 à 94.102.63.255 <br />
-                      Exemple : 94.102.*.13 :
-                  Exclusion de toutes les adresses IP de 94.102.0.13 à 94.102.255.13 <br />
-                  
-        ' ;   
-$lang['Sv_hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jokers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;   
+//====================================================================== 
+$lang['Sv_hlp_7_1']='Ce module permet de creer une liste noire contenant les adresses IP indesirables.<br />
+          ' ;	
+$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' emission de mail si l\' adresse IP est dans la liste noire. <br />
+		  ' ;	
+$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
+		  ' ;	
+$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de donnees de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
+		   Un compteur dans cette liste indique le nombre de tentative de connexion.<br />
+		   Des informations sur le pays et la ville du FAI sont egalement stockees.<br />
+		   
+		   		' ;	
+$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indesirables.<br />
+		   
+				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorises.<br />
+				    Exemple : 94.102.63.* :
+				  Exclusion de toutes les adresses IP de 94.102.63.0 à 94.102.63.255 <br />
+				  	Exemple : 94.102.*.13 :
+				  Exclusion de toutes les adresses IP de 94.102.0.13 à 94.102.255.13 <br />
+				  
+		' ;	
+$lang['Sv_hlp_7_3']= ' Cliquez ici pour verifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnee de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
 
-$lang['Sv_hlp_7_4']= ' Si vous décidez de bloquer cette adresse, cliquez ici ou sur l\'icône \'ajout\' pour mettre à jour la liste noire.<BR />
-    
-' ;
+$lang['Sv_hlp_7_4']= ' Si vous decidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
+	 
+' ;	
 ?>
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 9701)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 9702)
@@ -5,4 +5,8 @@
 if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
 //=======================================================
+
+$lang['Sv_Are_you_sure'] =  'Etes-vous sûr' ; 
+$lang['Sv_no_verif'] =  'IP Non vérifié.' ; 
+$lang['Sv_delete'] =  'Supprimer' ; 
 $lang['Sv_Datas'] =  'Datas' ; 
 $lang['Sv_Group'] = $lang['Group']; 
@@ -20,5 +24,5 @@
 $lang['Sv_Envoyer'] = 'Envoyer';
 $lang['Sv_Valider'] = 'Valider';
-$lang['Sv_version'] = ' Version :';
+$lang['Sv_version'] = ' Version  :';
 
 $lang['Sv_fai'] = $lang['Sv_username'];
@@ -27,10 +31,10 @@
 $lang['Sv_no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
 $lang['Sv_no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
-$lang['Sv_set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam".';
-$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam".';
+$lang['Sv_set_auto'] = 'Compte le nombre de connexion dans la liste noire.';
+$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
 $lang['Sv_unset_black_list'] = 'Supprime de la liste noire';
 $lang['Sv_set_black_list'] = 'Mise sur la liste noire';
-$lang['Sv_is_a_spam'] = 'Spammeur détecté !';
-$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit !';
+$lang['Sv_is_a_spam'] = 'Spammeur détecté!.';
+$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
 $lang['Sv_Ajout'] = 'Ajouter à la liste noire.';
 
@@ -48,5 +52,5 @@
 $lang['Sv_mail_sent_to'] = 'Mail envoyé à %s.';
 $lang['Sv_mail_not_send'] = 'Le mail n\'a pas été envoyé.';
-$lang['Sv_message_to_send'] = 'Message à envoyer.';
+$lang['Sv_message_to_send'] = 'Message a envoyer.';
 $lang['Sv_verifiez_les_destinataires']='Vérifiez les destinataires:';
 $lang['Sv_detection_de'] = 'Détection de :' ;
@@ -55,5 +59,5 @@
 $lang['Sv_Tab_help'] = 'Aide';
 
-$lang['Sv_Howto'] = 'Gestion des paramètres de surveillance d\'envoi des mails.';
+$lang['Sv_Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
 $lang['Sv_admin_titre'] = 'Administration de '.$lang['Sv_supervisor'];
 $lang['Sv_admin_description'] = 'Dernier message renvoyé. ';
@@ -64,6 +68,6 @@
 $lang['Sv_check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
 
-$lang['Sv_admin'] = 'Exclure l\'administrateur des envois.';
-$lang['Sv_guest'] = 'Exclure le guest des des envois.';
+$lang['Sv_admin'] = 'Exclure l\'administrateur des envoies.';
+$lang['Sv_guest'] = 'Exclure le guest des des envoies.';
 
 $lang['Sv_periode'] = 'Période';
